import { GameRecordCard, SpiralAbyss, GenshinUser, RealTimeNotes, Charcters, TravelerDiary, DailyRewards, Activities } from "../index";
import { ClientCookieManager } from "./clientCookieManager";
import { Language } from "../constants/lang";
import type { RecordCardData, AbyssBattleData, GenshinUserData, RealTimeNoteData, DiaryData, CharacterData } from "../interface";
interface ClientOptions {
    language?: Language;
    cookieManager?: ClientCookieManager;
    cache?: boolean;
}
export declare class Client {
    private options;
    private cookieManager;
    DailyReward: DailyRewards;
    GameRecordCard: GameRecordCard;
    SprialAbyss: SpiralAbyss;
    GenshinActivity: Activities;
    Characters: Charcters;
    GenshinUser: GenshinUser;
    RealTimeNotes: RealTimeNotes;
    TravelDiary: TravelerDiary;
    /**
     * @param {Object} options - The options to use.
     */
    constructor(options?: ClientOptions);
    setltoken(ltoken: string): void;
    setltuid(ltuid: string): void;
    /**
     * @param {string} uid - Genshin Impact game uid.
     */
    getAbyssBattle(uid: string, previous?: boolean): Promise<AbyssBattleData>;
    /**
     * @param {string} uid - HoYolab uid.
     */
    getGameRecordCard(uid: string): Promise<RecordCardData>;
    /**
     * @param {string} uid - Genshin Impact game uid.
     */
    getGenshinUser(uid: string): Promise<GenshinUserData>;
    /**
     * @param {string} uid - Genshin Impact game uid.
     */
    getRealTimeNotes(uid: string): Promise<RealTimeNoteData>;
    /**
     * @param {string} uid - Genshin Impact game uid.
     */
    getCharacter(uid: string): Promise<CharacterData[]>;
    /**
     *  @param {string} uid - Genshin Impact game uid.
     */
    getTravelDiary(uid: string): Promise<DiaryData>;
}
export {};
