"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TravelerDiary = void 0;
const request_1 = require("../utils/request");
const getServer_1 = require("../utils/getServer");
const base_1 = require("./base");
const constants_1 = require("../constants/constants");
class TravelerDiary extends base_1.BaseRoute {
    /**
     * @param {string} uid The uid to set
     * @param {Language} language The language to set
     * @param {string} cookie The cookie to set
     */
    async fetch(uid, language, cookie) {
        const instance = new request_1.request({
            route: constants_1.Genshin_Hoyolab_DIARY_URL,
        });
        const res = await instance.get("month_info", {
            Cookie: cookie,
        }, {
            region: (0, getServer_1.checkServerRegion)(uid),
            uid: uid,
            lang: language,
        });
        const { data } = res;
        if (this.cache) {
            this.cache.set(uid, data);
        }
        return data;
    }
    async getMonth(uid, month, language, cookie) {
        const instance = new request_1.request({
            route: constants_1.Genshin_Hoyolab_DIARY_URL,
        });
        const res = await instance.get("month_info", {
            Cookie: cookie,
        }, {
            region: (0, getServer_1.checkServerRegion)(uid),
            uid: uid,
            lang: language,
            month: month,
        });
        const { data } = res;
        if (this.cache) {
            this.cache.set(`${uid}-${month}`, data);
        }
        return data;
    }
}
exports.TravelerDiary = TravelerDiary;
