import { Genshin_Battle_API_URL, Genshin_Hoyolab_API_URL, Genshin_Hoyolab_DIARY_URL, Genshin_Hoyolab_REWARD_URL } from "../constants/constants";
declare type option = {
    route?: typeof Genshin_Hoyolab_API_URL | typeof Genshin_Hoyolab_DIARY_URL | typeof Genshin_Hoyolab_REWARD_URL | typeof Genshin_Battle_API_URL;
    withUA?: boolean;
    withDS?: boolean;
};
interface Response {
    retcode: number;
    message: string;
    data: any;
}
/**
 * @description Creates a new instance for the request
 */
declare class HTTPRequest {
    private baseURL;
    private withUA;
    private withDS;
    private language;
    constructor(option?: option);
    get(url: string, headers?: any, params?: any): Promise<Response>;
    post(url: string, headers?: any, data?: any, params?: any): Promise<Response>;
    setLanguage(language: string): void;
}
export { HTTPRequest as request };
